---
sidebar_position: 3
description: Create product selection and other functions to work with VK in the Open Integration Package, a free open-source integration library for 1C:Enterprise 8, OneScript and CLI
keywords: [1C, 1С, 1С:Enterprise, 1С:Enterprise 8.3, API, Integration, Services, Exchange, OneScript, CLI, VK]
---

import Tabs from '@theme/Tabs';
import TabItem from '@theme/TabItem';

# Create product selection
 Creates an empty product selection



`Function CreateProductCollection(Val Name, Val Image, Val Main = False, Val Hidden = False, Val Parameters = "") Export`

  | Parameter | CLI option | Type | Required | Description |
  |-|-|-|-|-|
  | Name | --title | String | &#x2714; | Selection name |
  | Image | --picture | String, BinaryData | &#x2714; | Image file |
  | Main | --main | Boolean | &#x2716; | Main |
  | Hidden | --hidden | Boolean | &#x2716; | Hidden |
  | Parameters | --auth | Structure Of String | &#x2716; | Authorization parameters. See GetAuthParameters |

  
  Returns:  Map Of KeyAndValue - serialized JSON response from VK

:::tip
Parameters with Binary data type can also accept file paths on disk and URLs
:::
<br/>


```bsl title="1C:Enterprise/OneScript code example"
    Parameters = GetVKParameters();

    Name   = "TestCollection";
    Image  = "https://hut.openintegrations.dev/test_data/picture.jpg";
    Main   = True;
    Hidden = False;

    Result = OPI_VK.CreateProductCollection(Name, Image, Main, Hidden, Parameters);
```
 

 <Tabs>
  
    <TabItem value="bash" label="Bash" default>
        ```bash
            # JSON data can also be passed as a path to a .json file
            
            oint vk CreateProductCollection \
             --title "TestCollection" \
             --picture "https://hut.openintegrations.dev/test_data/picture.jpg" \
             --main true \
             --hidden false \
             --auth "{'access_token':'***','owner_id':'-218861756','app_id':'51694790','group_id':'218861756'}"
        ```
    </TabItem>
  
    <TabItem value="bat" label="CMD/Bat" default>
        ```batch
            :: JSON data can also be passed as a path to a .json file
            
            oint vk CreateProductCollection ^
             --title "TestCollection" ^
             --picture "https://hut.openintegrations.dev/test_data/picture.jpg" ^
             --main true ^
             --hidden false ^
             --auth "{'access_token':'***','owner_id':'-218861756','app_id':'51694790','group_id':'218861756'}"
        ```
    </TabItem>
</Tabs>


```json title="Result"
{
 "response": {
  "market_album_id": 150,
  "albums_count": 80
 }
}
```
